import Kernel from '@onkernel/sdk';
const client = new Kernel({
apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});
const profile = await client.profiles.create();
console.log(profile.id);{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z"
}Create a browser profile that can be used to load state into future browser sessions.
import Kernel from '@onkernel/sdk';
const client = new Kernel({
apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});
const profile = await client.profiles.create();
console.log(profile.id);{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Request body for creating a profile.
Optional name of the profile. Must be unique within the organization.
Profile created successfully
Browser profile metadata.
Unique identifier for the profile
Timestamp when the profile was created
Optional, easier-to-reference name for the profile
Timestamp when the profile was last updated
Timestamp when the profile was last used